:root {
	--grid-line-color: #444;
	--grid-line-size: 2px;
	--grid-match-border: #444;
	--grid-match-border-size: 2px;
	--grid-match-background: rgba(50, 50, 50, 0.65);
	--grid-match-title-background: #444;
	--grid-round-background: #444;
	--grid-player-background: #222;
	--grid-player-bold-background: #151;

	--match-entry-background: rgba(50, 50, 50, 0.65);
	--match-entry-border: #444;
	--match-entry-border-size: 2px;
	--match-heroes-map-border: #444;
}
html, body {
	width: 100%;
	height: 100%;
}

@font-face {
	font-family: 'Kairos';
	src: url('../fonts/Kairos_Sans_W06_Cond_Medium.ttf') format('woff'),
		url('../fonts/Kairos_Sans_W06_Cond_Medium.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Kairos';
	src: url('../fonts/Kairos_Sans_W06_Cond_Medium.woff') format('woff'),
		url('../fonts/Kairos_Sans_W06_Cond_Medium.ttf') format('truetype');
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Druk';
	src: url('../fonts/Druk_Wide_Cyr_Medium.otf') format('opentype');
	font-weight: normal;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Druk';
	src: url('../fonts/Druk_Wide_Cyr_Medium.otf') format('opentype');
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}

body {
	position: relative;
}

html.black, html.black body {
	background-color: #1a1e23;
}
/*
html.bg, html.bg body {
	background: url('imgs/bg_1.jpg') top left no-repeat;
	background-size: cover;
}
*/

body > div {
	position: relative;
}

body > div.background {
	position: fixed;
	top: 0;
	left: 0;	
	width: 100%;
	height: 100%;
}

html.bg .background {
	background: url('../imgs/250fpsbg.jpg') top left no-repeat;
	background-size: cover;
	overflow: hidden;
}

.red {
	color: #f00 !important;
}

#gridtitle, .gridtitle {
/*	
	color: #000;
	text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;
*/
	color: #fff;
	text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
	font-size: 36px;
	font-family: Kairos;
	padding-bottom: 8px;
	margin-bottom: 80px;
	border-bottom: 1px var(--grid-match-border) solid;
	text-align: center;
}

#grid, .grid {
	position: relative;
	width: 100%;
	/* background-color: #f9f9f9; */
	cursor: grab;
	overflow: auto;
	font-family: Kairos;
	padding: 16px;
	color: #fff;
}
#grid h2, .grid h2 {
	font-size: 20px;
	text-align: center;
	background-color: var(--grid-round-background);
	padding: 8px 0;
	font-family: Kairos;
	border-radius: 4px;
}

#grid .rounds, .grid .rounds {
	display: flex;
}
#multicontent .grid .rounds {
	justify-content: center;
}
#multicontent .grid {
	padding-bottom: 32px;
}

#grid .round, .grid .round {
	display: flex;
	flex-direction: column;
	width: 196px;
	margin-right: 48px;
}
#grid .match, .grid .match {
	position: relative;
	width: 196px;
	padding: 8px 0;
	display: flex;
	flex: 1;
	align-items: center;
}
#grid .match .content, .grid .match .content {
	position: relative;
	width: 100%;
	border: var(--grid-match-border-size) var(--grid-match-border) solid;
	background-color: var(--grid-match-background);
	border-radius: 12px;
}
#grid .match .contentBig, .grid .match .contentBig {
	min-height: 240px;
}
#grid .match .content > .title, .grid .match .content > .title {
	position: absolute;
	top: -12px;
	left: -2px;
	background-color: var(--grid-match-title-background);
	font-size: 12px;
	display: inline-block;
	padding: 2px 4px;
}
#grid .match .content .player, .grid .match .content .player {
	padding: 4px 8px;
	display: flex;
}
#grid .match .content .player:nth-child(2), .grid .match .content .player:nth-child(2) {
	padding-top: 12px;
}
#grid .match .content .player:nth-child(3), .grid .match .content .player:nth-child(3) {
	padding-bottom: 12px;
}
#grid .match .contentBig .player:nth-child(3), .grid .match .contentBig .player:nth-child(3) {
	padding-bottom: 0;
}
#grid .match .content .player .title, .grid .match .content .player .title {
	overflow: hidden;
	white-space: nowrap;
	width: 75%;
	margin-right: 5%;
	font-size: 14px;
	height: 18px;
}
#grid .match .content .player.small .title, .grid .match .content .player.small .title {
	font-size: 10px;
	color: #aaa;
}
#grid .match .content .player.winner .title, .grid .match .content .player.winner .title {
	color: #0f0;
	font-weight: bold;
}
#grid .match .content .player.looser .title, .grid .match .content .player.looser .title {
	color: #f00;
}
#grid .match .content .player.bye .title, .grid .match .content .player.bye .title {
	color: #aaa;
}
#grid .match .content .player .score, .grid .match .content .player .score {
	width: 20%;
	text-align: center;
}
#grid .match .content .player.winner .score, .grid .match .content .player.winner .score {
	color: #0f0;
}
#grid .match .content .player.looser .score, .grid .match .content .player.looser .score {
	color: #f00;
}
#grid .line-next::after, .grid .line-next::after {
	content: "";
	display: block;
	position: absolute;
	width: 24px;
	right: -24px;
	height: 50%;
	border-right: var(--grid-line-size) var(--grid-line-color) solid;
}
#grid .line-next:nth-of-type(odd)::after, .grid .line-next:nth-of-type(odd)::after {
	top: 50%;
	border-top: var(--grid-line-size) var(--grid-line-color) solid;
}
#grid .line-next:nth-of-type(even)::after, .grid .line-next:nth-of-type(even)::after {
	top: 0;
	border-bottom: var(--grid-line-size) var(--grid-line-color) solid;
}
#grid .line-prev::before, .grid .line-prev::before {
	content: "";
	display: block;
	position: absolute;
	width: 24px;
	left: -24px;
	height: 1px;
	border-bottom: var(--grid-line-size) var(--grid-line-color) solid;
}
#grid .line-next-direct::after, .grid .line-next-direct::after {
	content: "";
	display: block;
	position: absolute;
	width: 24px;
	right: -24px;
	height: 1px;
	border-bottom: var(--grid-line-size) var(--grid-line-color) solid;
}
#grid .line-prev-direct::before, .grid .line-prev-direct::before {
	content: "";
	display: block;
	position: absolute;
	width: 24px;
	left: -24px;
	height: 1px;
	border-bottom: var(--grid-line-size) var(--grid-line-color) solid;
}
#grid .button-info, .grid .button-info {
	position: absolute;
	color: #fff;
	right: 0px;
	top: calc(50% - 8px);
}

#grid table {
	font-size: 24px;
	margin: 0 auto;
}
#grid table th, #grid table td.bold {
	font-weight: bold;
}
#grid table td, #grid table th {
	padding: 4px 8px;
	border: 1px solid #666;
}
#grid table tr.even {
	background-color: #222;
}
#grid table tr.odd, #grid table thead {
	background-color: #000;
}
#grid table td .content {
	text-align: center;
}

#grid .players {
	display: flex;
    flex-wrap: wrap;
    margin-top: 32px;
}
#grid .players .player {	    
	font-size: 16px;
	text-align: center;
	min-width: 240px;
	background-color: var(--grid-player-background);
	padding: 8px 0;
	font-family: Kairos;
	border-radius: 4px;
	margin-right: 24px;
	margin-bottom: 16px;
}

#grid .players .player.bold {
	background-color: var(--grid-player-bold-background);
}

#matchtitle {
/*
	color: #000;
	text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;
*/
	color: #fff;
	text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
	font-size: 36px;
	font-family: Kairos;
	padding-bottom: 8px;
	margin-top: 8px;
	margin-bottom: 8px;
	border-bottom: 1px var(--match-heroes-map-border) solid;
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
}
#matchtitle .back-button {
	position: absolute;
	top: 26px;
	left: 16px;
	color: #fff;
}
#matchtitle img {
	height: 96px;
	padding: 0 16px;
}

#match {
	display: flex;
	justify-content: space-between;
	font-family: Kairos;
	color: #fff;
}
#match .block {
	width: 100%;
	padding: 0 16px;
	min-width: 200px;
}
#match .block .title {
	font-size: 36px;
	margin-bottom: 8px;
/*
	color: #000;
	text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;
*/
	color: #fff;
	text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}
#match .entry {
	margin-bottom: 8px;
	/* vertical-align: middle; */
	background-color: var(--match-entry-background);
	border: var(--match-entry-border-size) var(--match-entry-border) solid;
	border-radius: 4px;
	padding: 0 0 0 16px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	min-height: 52px;
}
#match .entry .player, #match .entry .mapname, #match .entry .heroname {
	color: #fff;
}
#match .entry.waiting {
	color: #ffc600;
}
#match .entry.ban {
	color: #f00;
}
#match .entry.pick {
	color: #0f0;
}
#match .entry img {
	display: block;
	height: 56px;
	/* border-radius: 18px; */
}

#match #heroes .map {
	border: 2px var(--match-heroes-map-border) solid;
	border-radius: 4px;
	padding: 4px 8px;
	margin-bottom: 8px;
}
#match #heroes .mapname {
	text-align: center;
	padding: 4px 0 8px 0;
	font-weight: bold;
	color: #fff;
	text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
/*
	color: #000;
	text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;
*/
	font-size: 18px;
}

#match #pool {
	width: 50%;
}
#match #pool .entry img {
	height: 48px;
	border-radius: 24px;
}




.tournaments {
	padding-top: 32px;
}
.tournaments a {
	display: block;
	color: #fff;
	text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
	font-size: 18px;
	font-family: Kairos;
	padding-left: 16px;
	margin-bottom: 8px;
}




.seedscontent, .playerscontent {
	display: flex;
	margin: 32px 32px;
}
.seedscontent .buttons, .playerscontent .buttons {
	margin-right: 32px;
}
.seedscontent .buttons .btn, .playerscontent .buttons .btn {
	display: block;
	margin-bottom: 16px;
}
#seeds {
	margin: 0;
	padding: 8px 8px;
	background-color: #4B4E4E;
	width: 164px;
	min-height: 64px;
}
#players {
	margin: 0;
	padding: 8px 8px;
	background-color: #4B4E4E;
	width: 320px;
	min-height: 64px;
}
#seeds li, #players li {
	display: block;
	list-style: none;
	background-color: #eeeeee;
	padding: 4px 8px;
	margin-bottom: 8px;
	cursor: pointer;
}
#players li input {
	float: right;
}

.login {
	padding: 64px;
}
.login label {
	color: #fff;
}


.language-selector {
	position: fixed;
	top: 8px;
	right: 0;
	display: flex;
	flex-direction: column;
	gap: 8px;
	justify-content: center;
	z-index: 100;
}
.language-selector .ui-flag {
	background-image: url('../imgs/flags.png');
	background-repeat: no-repeat;
	background-size: 100% 49494%;
	display: inline-block;
	overflow: hidden;
	position: relative;
	vertical-align: middle;
	box-sizing: content-box;
	width: 30px;
	height: 20px;
}
.ui-flag-ru {
	background-position: center 41.9083%;
}
.ui-flag-en {
	background-position: center 44.1253%;
}

.table {
	padding-top: 32px;
}
.table table {
	margin: 0 auto;
	background-image: linear-gradient(rgba(6, 182, 212, 0.2), rgba(30, 58, 138, 0.2));
	font-size: 20px;
	color: #fff;
	font-family: Kairos;
}
.table th, .table td {
	padding: 8px 16px;
	border: 1px rgba(0, 0, 0, 0.2) solid;
	border-collapse: collapse;
}
.table th {
	color: #ff0;
}